Subject: Sony CDU31A not recognized at all!?

From: Paul Seelig <[email-masked]>
Date: Sat, 7 Sep 1996 18:14:03 +0200 (MET DST)

-----BEGIN PGP SIGNED MESSAGE-----

  Hi all!

Yesterday evening i started installation of Debian-1.1.5 being well aware
about the need to use the bad_links_fix_1.1.5.tgz for fixing some troubles
related with the spoiled CD-ROM which i received like a few others too.
Using the 1,44" diskimages in buzz/disks-i386/current/ i managed without
any major problem to partition my harddrive and install a base system.
BTW, this is a well designed setup procedure to my mind.
But here installation is over for me. 

My Sony CD-ROM drive CDU31A doesn't get recognized at all by the debian
kernel, whereas there never was any problem with this for one year and a
half with a Slackware-based setup. Also Win95 has no problems with this
drive. Trying to install a loadable module via insmod or the Debian
installation routines just yields a "Initialization of cdu31a failed". 
When giving the kernel the proper I/O adress and IRQ like it worked before
(0x340,5) has no impact at all. In /dev there is not even mention made of
a 'cdu31a' although there exists a 'cdu31a.o' in the place where all
modules are to be found. 

My machine is a Vesa Local Bus 486DX-33 with 20MB RAM, two harddrives and
the CDU31A on a ISA CD-ROM controller by Sony. This is my first encounter
with Debian as well as with the 2.xx generation of the Linux kernel.

I tried pretty everything to find out why the drive is not recognized. I
even read the documentation provided on the CD-ROM by I-Connect and on the
Debian WWW server. Regrettably the man pages are still not accesible with
the barebones base installation. Right now i'm checking the Debian mailing
list archives at "http://www.debian.org/Lists-Archives" but i didn't find
any hint so far...

Well, i can't proceed with the installation and i am pretty disappointed
up to this point that i'm so helpless right now. I need Linux for my
everyday work and really need to have a working system ASAP.

I'd really hope it is some dumb error of myself which prevents 
initialization of the CD drive but i just can't figure this out. Do you
need more information or is this sufficient for having an idea about what
is possibly a solution? 
                                              TIA, Paul *8^)
__ 
   Paul Seelig                         [email-masked]
   African Music Archive - Institute for Ethnology and Africa Studies
   Johannes Gutenberg-University   -  Forum 6  -  55099 Mainz/Germany
   Our AMA Homepage  in  the WWW at  http://www.uni-mainz.de/~bender/